Bug 1569619 - As a result of the Upgrade Transient hostname was set to The ISP's own name.
Summary: As a result of the Upgrade Transient hostname was set to The ISP's own name.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 27
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 15:20 UTC by ricky.tigg
Modified: 2018-11-30 21:10 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:10:53 UTC
Type: Bug


Attachments (Terms of Use)

Description ricky.tigg 2018-04-19 15:20:28 UTC
Description of problem: as a result of the Upgrade a transient hostname was set  despite no such hostname was set when the upgrade took place.

Version-Release number of component: probably from dnf-plugins-extras-2.0.5-1.fc27.src.rpm since its no longer avalable on currently upgraded system.

How reproducible:
# dnf --refresh -y upgrade
# dnf -y install dnf-plugin-system-upgrade
# dnf --refresh -y system-upgrade download --releasever=28
# dnf system-upgrade reboot

Actual results: Transient name set as 'host.dynamic.voo.be' (ISP's own name).
Expected results: Not allow ISP to set transient name.

Comment 1 Daniel Mach 2018-04-23 11:43:53 UTC
I don't think DNF touches the hostname.
Reassigning to systemd.
Isn't systemd calling `hostnamectl set-hostname` somewhere during the boot?

Comment 2 ricky.tigg 2018-04-23 13:01:20 UTC
No intercaction is needed with that method -in which are involved two reboots- officialy supported by Fedora,

Comment 3 Ben Cotton 2018-11-27 16:04:07 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 21:10:53 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.